Ubuntu

unity pointer barriers sru bug

Reported by Maarten Lankhorst on 2013-10-21
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libxfixes (Ubuntu)
High
Maarten Lankhorst
Precise
Undecided
Unassigned
libxi (Ubuntu)
High
Maarten Lankhorst
Precise
Undecided
Unassigned
qt4-x11 (Ubuntu)
High
Maarten Lankhorst
Precise
Undecided
Unassigned
unity-2d (Ubuntu)
High
Maarten Lankhorst
Precise
Undecided
Unassigned
unity (Ubuntu)
High
Maarten Lankhorst
Precise
Undecided
Unassigned
x11proto-input (Ubuntu)
High
Maarten Lankhorst
Precise
Undecided
Unassigned

Bug Description

x11proto-input, libxfixes, libxi, unity and unity-2d in precise needs updates to work with the new pointer barrier api from x1.14.

[Impact]
 * Pointer barrier api has changed between 1.13 and 1.14. (xorg-server-lts-saucy)
 * Modifications in unity and unity-2d are required to support both api's.

[Test Case]
 * Update all packages.
 * Test pointer barriers on an old xorg-server, they should continue to work.
 * Test pointer barriers on the new xorg-server, they should work.

[Regression Potential]
  * Low, it enables a separate code path for pointer barriers. The code in unity is a bit different due to copying the rework from upstream unity and keeping the old paths for legacy pointer barriers. Upstream dropped the old paths.

[Other Info]
  * It's a bit of a hack. The old pointer barrier symbols live in libxfixes, the new ones in libxi. Because of the overlap some modifications had to be made to allow both pointer barriers to be included. This works as well as it can.
 * Depending on the queried libxi2/libxfixes versions, old pointer barriers or new ones are used.

Changed in unity-2d (Ubuntu):
assignee: nobody → Maarten Lankhorst (mlankhorst)
milestone: none → ubuntu-12.04.4
importance: Undecided → High
status: New → In Progress
Changed in unity (Ubuntu):
status: New → In Progress
Changed in libxi (Ubuntu):
status: New → In Progress
Changed in libxfixes (Ubuntu):
status: New → In Progress
Changed in x11proto-input (Ubuntu):
status: New → In Progress
Changed in libxfixes (Ubuntu):
importance: Undecided → High
Changed in libxi (Ubuntu):
importance: Undecided → High
Changed in unity (Ubuntu):
importance: Undecided → High
Changed in x11proto-input (Ubuntu):
importance: Undecided → High
Changed in libxfixes (Ubuntu):
assignee: nobody → Maarten Lankhorst (mlankhorst)
Changed in libxi (Ubuntu):
assignee: nobody → Maarten Lankhorst (mlankhorst)
Changed in unity (Ubuntu):
assignee: nobody → Maarten Lankhorst (mlankhorst)
Changed in x11proto-input (Ubuntu):
assignee: nobody → Maarten Lankhorst (mlankhorst)
description: updated
Maarten Lankhorst (mlankhorst) wrote :

Also affects libqt-x11, it queries for xinput 2.1 which breaks unity-2d pointer barriers.

Changed in qt4-x11 (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Maarten Lankhorst (mlankhorst)

Hello Maarten, or anyone else affected,

Accepted libxi into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libxi/2:1.7.1.901-1ubuntu1~precise1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libxi (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Chris Halse Rogers (raof) wrote :

Hello Maarten, or anyone else affected,

Accepted libxfixes into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libxfixes/1:5.0-4ubuntu4.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libxfixes (Ubuntu Precise):
status: New → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Maarten, or anyone else affected,

Accepted unity into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity/5.20.0-0ubuntu3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Precise):
status: New → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Maarten, or anyone else affected,

Accepted x11proto-input into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/x11proto-input/2.3-1~precise1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in x11proto-input (Ubuntu Precise):
status: New → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Maarten, or anyone else affected,

Accepted unity-2d into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity-2d/5.14.0-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity-2d (Ubuntu Precise):
status: New → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Maarten, or anyone else affected,

Accepted qt4-x11 into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/qt4-x11/4:4.8.1-0ubuntu4.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in qt4-x11 (Ubuntu Precise):
status: New → Fix Committed
Timo Aaltonen (tjaalton) wrote :

tested with the quantal stack, both unity & unity-2d work

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of unity from precise-proposed was performed and bug 1263392 was found. Please investigate this bug report to ensure that a regression will not be created by this SRU. In the event that this is not a regression remove the "verification-failed" tag from this bug report and tag 1263392 "bot-stop-nagging". Thanks!

tags: added: verification-failed
Maarten Lankhorst (mlankhorst) wrote :

The linked bug already happened before the upload, so not a regression.

tags: removed: verification-failed
Alberto Milone (albertomilone) wrote :

tested with the raring stack with no issues (on Intel Ivy Bridge).

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libxi - 2:1.7.1.901-1ubuntu1~precise1

---------------
libxi (2:1.7.1.901-1ubuntu1~precise1) precise-proposed; urgency=low

  * Copy package to precise from saucy.
  * Compile correctly with both pointer barrier implementations. (LP: #1242633)
  * Fix build-depends and conflicts for precise.
 -- Maarten Lankhorst <email address hidden> Wed, 04 Sep 2013 10:01:16 +0200

Changed in libxi (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 5.20.0-0ubuntu3

---------------
unity (5.20.0-0ubuntu3) precise-proposed; urgency=low

  * Add initial support for pointer barriers with xinput2 api. (LP: #1242633)
    - Fallback to xfixes stays available.
  * Bump dependencies to compile with both pointer barriers implementations.
 -- Maarten Lankhorst <email address hidden> Thu, 05 Sep 2013 11:58:32 +0200

Changed in unity (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libxfixes - 1:5.0-4ubuntu4.2

---------------
libxfixes (1:5.0-4ubuntu4.2) precise-proposed; urgency=low

  * Fix compile with upstream pointer barriers. (LP: #1242633)
 -- Maarten Lankhorst <email address hidden> Wed, 04 Sep 2013 13:10:28 +0200

Changed in libxfixes (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package x11proto-input - 2.3-1~precise1

---------------
x11proto-input (2.3-1~precise1) precise-proposed; urgency=low

  * Copy package back to precise from saucy.
    - Enables support for pointer barriers. (LP: #1242633)
 -- Maarten Lankhorst <email address hidden> Wed, 04 Sep 2013 09:42:20 +0200

Changed in x11proto-input (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qt4-x11 - 4:4.8.1-0ubuntu4.6

---------------
qt4-x11 (4:4.8.1-0ubuntu4.6) precise-proposed; urgency=low

  * Query for Xi 2.2 first before falling back to Xi 2.1. (LP: #1242633)
    - This fixes unity-2d pointer barriers.
 -- Maarten Lankhorst <email address hidden> Wed, 27 Nov 2013 12:14:51 +0000

Changed in qt4-x11 (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-2d - 5.14.0-0ubuntu2

---------------
unity-2d (5.14.0-0ubuntu2) precise-proposed; urgency=low

  * Add initial support for pointer barriers with xinput2 api. (LP: #1242633)
    - Fallback to xfixes stays available.
  * Bump dependencies to compile with both pointer barriers implementations.
 -- Maarten Lankhorst <email address hidden> Tue, 10 Sep 2013 17:16:28 +0200

Changed in unity-2d (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in libxfixes (Ubuntu):
status: In Progress → Fix Released
Changed in libxi (Ubuntu):
status: In Progress → Fix Released
Changed in qt4-x11 (Ubuntu):
status: In Progress → Fix Released
Changed in unity-2d (Ubuntu):
status: In Progress → Fix Released
Changed in unity (Ubuntu):
status: In Progress → Fix Released
Changed in x11proto-input (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers